Jump to content
John Venema

ANNOUNCEMENT Prepar3D V3 - free multi-installers coming for Orbx regions, Vector, OLC

Recommended Posts

Hello all,

With the recent announcement by LM about P3Dv3 I'm pleased to announce that we have been testing all our regions, FTX Global, Vector and openLC over the past few months and they all function without any changes needed.

Ed Correia has developed a new Multi-installer which now auto-detects what sims you have installed so therefore supports FSX:Boxed, FSX:SE, P3Dv1, P3Dv2, P3Dv3 with a simple pull-down so you select the target sim.

We will be rolling out these new Multi-Installers for our core non-airport products over the coming month (there will be a delay for some weeks due to a staff member at FSS having to undergo surgery)

Airports

I've asked each developer to review exactly what is required to port their airports to P3Dv3. If it's a simple process then I'll compensate them for their hours spent and the airport will be a free download for FSS customers with a new Multi-installer.

If there is substantial work involved then I will leave it to each developer to notify me if we charge a nominal fee for the work involved. I will leave that up to each developer to decide at their discretion.

Rest assured we are keen to make any migration to P3v3 as painless as possible for everyone.

 

 

Thank you John. A clarification maybe though. You say that your products don't need any change but also that you will release a new installer.

 

So my question : from P3DV3 day 1 (next Wednesday), will we be able to use  any OrbX products by redirecting the existing installer to the new folder  or will we have to way for the release of the new installers ? And in the latter case, then what/when will be the first releases ?

 

A second question : could we have 2.5 and 3.0 on the same computer as far as OrbX products are concerned ?

  • Upvote 2

Share this post


Link to post
Share on other sites

Thank you John. A clarification maybe though. You say that your products don't need any change but also that you will release a new installer.

 

So my question : from P3DV3 day 1 (next Wednesday), will we be able to use  any OrbX products by redirecting the existing installer to the new folder  or will we have to way for the release of the new installers ? And in the latter case, then what/when will be the first releases ?

 

A second question : could we have 2.5 and 3.0 on the same computer as far as OrbX products are concerned ?

 

Q1. We are creating new installers, if you want to re-direct our current installers, you do that at your own risk. As to timeline, John says over the coming month. Global is first to be followed by openLC EU.

Q2. Yes 

  • Upvote 1

Share this post


Link to post
Share on other sites

The new installers will also allow for parallel installations of FSX:Boxed and FSX:SE

  • Upvote 1

Share this post


Link to post
Share on other sites

 Thanks Ed, I guess I read too quicky "over the coming month" adding an "s" to month. Good to see them coming up fast.

 

BTW a moderator on the LM forum writes that "   there a lot of changes in v3 structure so its not possible to convert v2.x into v3." (http://www.prepar3d.com/forum/viewtopic.php?f=6306&t=113525 )
 
 

 

 

Share this post


Link to post
Share on other sites

That's excellent news, thank you John! :D Once again, I really appreciate how open and honest you guys are about all the licensing stuff, upgrade fees, etc.


 




BTW a moderator on the LM forum writes that "   there a lot of changes in v3 structure so its not possible to convert v2.x into v3." (http://www.prepar3d.com/forum/viewtopic.php?f=6306&t=113525 )




 


I think this is to do with some reshuffling of the "core" P3D files, as they've also mentioned splitting the installer into core sim ("client"), content, and scenery.


 


BTW, at the risk of sounding like a broken record... I know there's no mention of that in the LM release notes, but is there any chance LM/Orbx can work something out to bring back working windsocks at the enhanced (non-payware) airports being part of the region products?


 


Cheers,


Tym


Share this post


Link to post
Share on other sites

So my question : from P3DV3 day 1 (next Wednesday), will we be able to use  any OrbX products by redirecting the existing installer to the new folder  or will we have to way for the release of the new installers ? And in the latter case, then what/when will be the first releases ?

There will also be a new version of FTX Central v2 released within the next few days that will have support for Prepar3D v3 (so if you do decide to install products into v3, you will be able to use them correctly in FTX Central).

  • Upvote 1

Share this post


Link to post
Share on other sites

This are excellent news! One month is an excellent timeframe and if it will become two I'll be happy as well, Having all ORBX scenery available in P3D3 at Christmas is an excellent perspective.


 


I for one will not mess with incompatible stuff and wait for addons to be made compatible. This will fill my limited flying time anyway.


 


Thanks and kind regards, Michael


Share this post


Link to post
Share on other sites

Thanks for your efforts ORBX team!!


How will we be able to access the new installers when they're released?


Greetings,


Share this post


Link to post
Share on other sites

How will we be able to access the new installers when they're released?

Most likely via your FlightSim Store account :)

  • Upvote 2

Share this post


Link to post
Share on other sites

Sorry, most likely already mentioned somewhere (but I didn't find):


- I assume that a complete new installation is necessary to use this new version ?


Share this post


Link to post
Share on other sites

Sorry, most likely already mentioned somewhere (but I didn't find):

- I assume that a complete new installation is necessary to use this new version ?

Well of course :) You need to install the new V3 version of the sim into its own new folder location and then use our new multi-installers to add the Orbx content.

Share this post


Link to post
Share on other sites

Hi Folks,

 

Just to clarify that reply I made. Was reffering to the request from a user to upgrade his v2.x by installing with v3 on top so he could keep all his addons. Its not possible.

In regards to addons. I've test a whole bunch of them and basically if they worked in v2.x I havent found any that didn't work in v3 so there's no need to worry and the changes I was reffering to will NOT break backwards comapitibilty.

 

Regards, Saul.

 


BTW a moderator on the LM forum writes that "   there a lot of changes in v3 structure so its not possible to convert v2.x into v3." (http://www.prepar3d.com/forum/viewtopic.php?f=6306&t=113525 )

 
 

  • Upvote 2

Share this post


Link to post
Share on other sites

Thank you very much! This is a very important factor for the decision to switch from P3D v2 to v3 one day. Anyway, this time I will read a bit more exactly how P3D3 will behave in terms of VAS memory. I got P3D2 just because I thought it could handle that better than FSX. The opposite was the case - which makes P3D2 now a real fail Investigation for me. I hope more developers will hold their promise not to charge for the complete product again (or even not to charge anything like PMDG did) for upcoming P3D versions.


  • Upvote 1

Share this post


Link to post
Share on other sites

 

Hello all,

With the recent announcement by LM about P3Dv3 I'm pleased to announce that we have been testing all our regions, FTX Global, Vector and openLC over the past few months and they all function without any changes needed.

 

Wonderful news indeed.

 

Question:   You say FTX global is compatible and will install into V3 without any changes,  But will there have to be a new Orbtx Libs to update FTX Central before we install Global ?  Or will the old Libs still do the job.   Thanks 

  • Upvote 1

Share this post


Link to post
Share on other sites

Thank you so much John, it's all very much appreciated :)

Share this post


Link to post
Share on other sites

... (there will be a delay for some weeks due to a staff member at FSS having to undergo surgery) ...

 

Best wishes to that person for a speedy recovery. Hope it's not the capital "C", should it be then have a look at phkillscancer.com, I know two people personally who did this successfully.

 

Siggy

Share this post


Link to post
Share on other sites

For us flyers, we do appreciate the support  you give P3D.  It is a lovely package, but even today because of my love for some planes and scenery, I am required to have both FSX and P3D v2.5 up and running.


 


When you get the quad done, I will leap to V3 and not any sooner.  My investment in ORBX will keep me buying your products.  Nothing can compare to ORBX. 


 


Great job ORBX developers!


Share this post


Link to post
Share on other sites

thanks jv, i myself ordered a windows 10 oem pro disc that comes today and i am just gonna wipe my computer and install p3d v3 and be patient as things get released/updated to p3d v3, a clean install is always the best method to me personally.i am getting really excited now  8)

  • Upvote 2

Share this post


Link to post
Share on other sites

Thanks for the good news that transition to P3D3 will be mostly painless. I will hold on a bit as reinstalling all airports and regions is quite a job for a rainy day but no doubt the new P3D3 will bring new improvements. I hope the upgrading of freeware airports and scenaries will also take place in the months to come as it would be a shame to loose them in the process. I wonder about the announcement of new trees in P3D3, does this have any impact on the FTX trees or will it still be a matter of choosing one or the other?


  • Upvote 1

Share this post


Link to post
Share on other sites

I have 2.5 P3D and just removed it so I can get the 3.0 tommorrow , I have ftx globle ,so what  I need to do have ftx on p3d v3.0 ? do i need to remove the ftx and download it again so will work on p3d v 3.0 , and do I need to wait for ftx to have the new option v3 or no?


Share this post


Link to post
Share on other sites

Is there any info about Pilot's 2010 mesh working in P3D v3?  There's no data, so far, on their site.


Share this post


Link to post
Share on other sites

Question:   You say FTX global is compatible and will install into V3 without any changes,  But will there have to be a new Orbtx Libs to update FTX Central before we install Global ?  Or will the old Libs still do the job.   Thanks 

 

Testing that now Elaine. :)

  • Upvote 1

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...